Get categories
curl --request GET \
--url https://sandbox.hurdlr.com/rest/v4/expenses/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.hurdlr.com/rest/v4/expenses/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.hurdlr.com/rest/v4/expenses/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"name": "Accounting / Tax",
"taxCategory": {
"id": "<string>",
"name": "<string>",
"displayName": "<string>",
"taxCategorySchedC1040Name": "<string>",
"taxCategory1065Name": "<string>",
"taxCategoryT2125Name": "<string>",
"form1040SchedCLineNumber": "<string>",
"form1040SchedCDisplayName": "<string>",
"t2125LineNumber": "<string>",
"t2125DisplayName": "<string>",
"form1065LineNumber": "<string>",
"form1065DisplayName": "<string>",
"form1120SLineNumber": "<string>",
"form1120SDisplayName": "<string>",
"entityId": 123
},
"hasChilds": true,
"parentCategoryId": 123,
"status": "ACTIVE"
}
]Expenses
Get categories
Get all expense categories for the authenticated user
GET
/
v4
/
expenses
/
categories
Get categories
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Date filter - returns all records updated after the specified date. Null returns all data
Response
200 - application/json
Successful operation
Id of the category, required when updating existing category
Name of the business-specific expense category
Example:
"Accounting / Tax"
Show child attributes
Show child attributes
Whether this category has children or not
Parent id for this category, if it exists
Status of this category
Available options:
ACTIVE, INACTIVE, DELETED Example:
"ACTIVE"
⌘I